#!/bin/bash -e

RAM="$(free -g | awk '/^Mem:/{print $2 - 2}')"

if   [ "$RAM" -le  2 ]; then  RAM=2
elif [ "$RAM" -gt 32 ]; then RAM=32; fi

RAM="${RAM}G"

CMD=(
    qemu-system-x86_64
        -accel kvm
        #-drive file.driver=virtio,file=hda.qcow2,index=0,media=disk
        -m "2G,maxmem=$RAM"
        # virtio drivers
        ## disk
        -blockdev driver=file,node-name=hda-file,filename=hda.qcow2
        -blockdev driver=qcow2,node-name=hda,file=hda-file
        -device virtio-blk-pci,drive=hda
        ## gpu
        -vga virtio
        ## network
        -netdev user,id=n0
        -device virtio-net-pci,netdev=n0
)
